org.omg.DynamicAny

## Interface DynValue

All Superinterfaces:
  DynAny, DynAnyOperations, DynValueCommon, DynValueCommonOperations, DynValueOperations, IDLEntity, Object, Serializable

All Known Implementing Classes:
  _DynValueStub

    public interface DynValue
    extends DynValueOperations, DynValueCommon, IDLEntity

DynValue objects support the manipulation of IDL non-boxed value types. The DynValue interface can represent both null and non-null value types. For a DynValue representing a non-null value type, the DynValue's components comprise the public and private members of the value type, including those inherited from concrete base value types, in the order of definition. A DynValue representing a null value type has no components and a current position of -1.

Warning: Indiscriminantly changing the contents of private value type members can cause the value type implementation to break by violating internal constraints. Access to private members is provided to support such activities as ORB bridging and debugging and should not be used to arbitrarily violate the encapsulation of the value type.

### Method Summary

### Methods inherited from interface org.omg.DynamicAny.DynValueOperations

`current_member_kind, current_member_name, get_members_as_dyn_any, get_members, set_members_as_dyn_any, set_members`

### Methods inherited from interface org.omg.DynamicAny.DynValueCommonOperations

`is_null, set_to_null, set_to_value`

### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

`assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`